2020. 8. 11. 15:30
   , , ,

'.NET Core 3'에서 클래스 라이브러리(Class Library)를 사용할 때 사용할 수 있는 'ASP.NET Core MVC'의 버전은 3.1.0 버전입니다.

*2020-08-10 기준



1. '.NET Core 2'에서는 어떻게 했는가?
'.NET Core 2'에서는 'ASP.NET Core MVC'를 참조하려면 누겟에서 찾아서 설치해야 합니다.


그런데 업데이트가.....




쓰려면 쓸 수는 있는데 버전이 낮아서 생기는 문제들이 좀 있습니다.


'.NET Core 3'에서도 사용하려면 사용 할 수 있습니다.



2. '.NET Core 3 MVC'는 어디 있는가?

'.NET Core 3'에서는 프래임웍에 포함되어 있습니다.

그렇다는 건 그냥 참조하면 되는데....


자동으로 참조가 되지 않습니다.




이게 프레임워크 참조를 해야 하는데......

UI가 어디 있는지 모르겠습니다.


그러니 수동으로 추가해야 합니다.



3. '.NET Core 3 MVC' 참조하기

솔루션 탐색기 > 프로젝트 > 오른쪽 클릭 > 프로젝트 파일 편집




프로젝트 파일 안에 아래 코드를 추가해 줍니다.


1
2
3
<ItemGroup>
  <FrameworkReference Include="Microsoft.AspNetCore.App" />
</ItemGroup>
cs



비어있는 프로젝트라면 이렇게 되겠죠.





이제 저장을 하고 빌드를 하면 오류가 사라집니다.




사용도 정상적으로 할 수 있습니다.

버전도 3.1.0 입니다.




마무리
버전이 올라갈 때마다 뭔가 작업하는 건........느낌인가??

그래도 아이폰이나 안드로이드처럼 휙휙 바뀌는 건 아니니까 상관없지만 말이죠 ㅎㅎㅎ

댓글 작성

이름
패스워드
홈페이지
비밀글